Ubuntu 16.04???

Talk about anything concerning the source code.
Post Reply
holynoob
Posts: 8
Joined: Sat Jul 19, 2014 12:23 pm

Ubuntu 16.04???

Post by holynoob » Thu Apr 28, 2016 6:10 pm

Hello, Matlo.
Can I install/compile your app under ubuntu 16.04 somehow?

I tried Installing from the .deb package but it had failed.
Then I tried to compile but I couldn't Install "libwxgtk2.8-dev". Is it not supported by ubuntu 16.04? It says:
E: Unable to locate package libwxgtk2.8-dev
E: Couldn't find any package by glob 'libwxgtk2.8-dev'
E: Couldn't find any package by regex 'libwxgtk2.8-dev'

Well I installed libwxgtk3.0-dev, but it's incompatible and gives "cannot convert ‘const wchar_t*’ to ‘const char*’ in initialization" error.

Any suggestions?
Thanks.

dermax93
Posts: 11
Joined: Mon Apr 25, 2016 4:59 pm

Re: Ubuntu 16.04???

Post by dermax93 » Thu Apr 28, 2016 7:22 pm

I personally did not manage to get it running on 16.04. i bet malt will release a update soon, but for now i went back to 14.04 works great!

best regards, max

User avatar
Cybereu
Posts: 102
Joined: Sun Jul 10, 2011 1:10 pm

Re: Ubuntu 16.04???

Post by Cybereu » Fri Apr 29, 2016 12:26 am

I think it can run normally on terminal.
Linux 4ev

holynoob
Posts: 8
Joined: Sat Jul 19, 2014 12:23 pm

Re: Ubuntu 16.04???

Post by holynoob » Fri Apr 29, 2016 11:19 am

Well I messed with the code and even managed to compile it with widgets3.0, but config and fpsconfig give a lot of errors.
Seems like most of them have to do something with Strings. So I won't go any further. Besides I found a few other things that don't work as expected in 16.04, so it's better to stick with 14.04 anyway.

User avatar
Matlo
Posts: 4245
Joined: Wed Jul 06, 2011 7:01 am
Location: France
Contact:

Re: Ubuntu 16.04???

Post by Matlo » Fri Apr 29, 2016 2:13 pm

Topic moved to the development section.
I plan to make Ubuntu 16.04 the next supported GNU/Linux desktop OS.
Patches that can help toward this goal are very welcome!
Donate Shop

Post Reply